$(document).ready(function(){

    $("#checkBoxId").change(function(){
        if($("#checkBoxId").is(":checked")){
            $('.companyInfo_box').css('display', 'block');
        }else{
            $('.companyInfo_box').css('display', 'none');
        }
    });

    $('input[type=radio][name=memvership]').change(function() {
        if (this.value == '01') {
            $('.membership_box').css('display', 'none');
        }
        else if (this.value == '02') {
            $('.membership_box').css('display', 'block');
        }
    });

    $('input[type=radio][name=draufgabe]').change(function() {
        if (this.value == '01') {
            $('.draufgabe_box').css('display', 'inline-block');
        }
        else if (this.value == '02') {
            $('.draufgabe_box').css('display', 'none');
        }
    });

    $('input[type=radio][name=draufgabe02]').change(function() {
        if (this.value == '01') {
            $('.draufgabe_box02').css('display', 'inline-block');
        }
        else if (this.value == '02') {
            $('.draufgabe_box02').css('display', 'none');
        }
    });


    // s :: 241122 추가
    $('input[type=radio][name=kycTypeB]').change(function() {
        if (this.value == '01') {
            $('.kyc-input-li-add').css('display', 'none');
        }
        else if (this.value == '02') {
            $('.kyc-input-li-add').css('display', 'block');
        }
    });

    // 파일 스크립트
    $(".file-input").on('change',function(){
        var fileValue = $(this).val().split("\\");
        var fileName = fileValue[fileValue.length-1];
        var fileparent = $(this).parent('.filebox');
        fileparent.find(".file-upload-name").val(fileName);
        fileparent.addClass('act');
    });


    // 체크박스 전체 체크
    $(".all-check").click(function() {
		if($(".all-check").is(":checked")) $("input[name=per-info]").prop("checked", true);
		else $("input[name=per-info]").prop("checked", false);
	});

	$("input[name=per-info]").click(function() {
		var total = $("input[name=per-info]").length;
		var checked = $("input[name=per-info]:checked").length;

		if(total != checked) $(".all-check").prop("checked", false);
		else $(".all-check-check").prop("checked", true); 
	});
    // e :: 241122 추가
});

